## org.codehaus.groovy.grails.web.util
Class TypeConvertingMap

    java.lang.Object
      org.codehaus.groovy.grails.web.util.TypeConvertingMap

All Implemented Interfaces:
  groovy.lang.GroovyObject, Cloneable, Map

    public class TypeConvertingMap

extends Object
implements Map, Cloneable, groovy.lang.GroovyObject

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary
`protected Map` `wrappedMap`

Constructor Summary
`TypeConvertingMap()`
`TypeConvertingMap(Map map)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `clear()`
`boolean` `containsKey(Object k)`
`boolean` `containsValue(Object v)`
`Set` `entrySet()`
`Object` `get(Object k)`
`Boolean` `getBoolean(String name)`
`Byte` `getByte(String name)`
`Double` `getDouble(String name)`
`Float` `getFloat(String name)`
`Integer` `getInt(String name)`
`List` `getList(String name)`
`Long` `getLong(String name)`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Short` `getShort(String name)`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isEmpty()`
`Set` `keySet()`
`Object` `put(Object k, Object v)`
`void` `putAll(Map m)`
`Object` `remove(Object o)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`int` `size()`
`Collection` `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### wrappedMap

    protected Map wrappedMap

Constructor Detail

### TypeConvertingMap

    public TypeConvertingMap()

### TypeConvertingMap

    public TypeConvertingMap(Map map)

Method Detail

### getByte

    public Byte getByte(String name)

### getInt

    public Integer getInt(String name)

### getLong

    public Long getLong(String name)

### getShort

    public Short getShort(String name)

### getDouble

    public Double getDouble(String name)

### getFloat

    public Float getFloat(String name)

### getBoolean

    public Boolean getBoolean(String name)

### getList

    public List getList(String name)

### put

    public Object put(Object k,
                      Object v)

  Specified by:
    `put` in interface `Map`

### remove

    public Object remove(Object o)

  Specified by:
    `remove` in interface `Map`

### size

    public int size()

  Specified by:
    `size` in interface `Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map`

### containsKey

    public boolean containsKey(Object k)

  Specified by:
    `containsKey` in interface `Map`

### containsValue

    public boolean containsValue(Object v)

  Specified by:
    `containsValue` in interface `Map`

### get

    public Object get(Object k)

  Specified by:
    `get` in interface `Map`

### putAll

    public void putAll(Map m)

  Specified by:
    `putAll` in interface `Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project